SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
DataStructures::HashIndex Struct Reference

`#include <slikenet/DS_Hash.h>`

## Public Member Functions

bool | IsInvalid (void) const
void | SetInvalid (void)

## Public Attributes

unsigned int | primaryIndex
unsigned int | secondaryIndex

## Detailed Description

Definition at line 34 of file DS_Hash.h.

## Member Function Documentation

bool DataStructures::HashIndex::IsInvalid | ( | void |  | ) | const

inline

Definition at line 38 of file DS_Hash.h.

References primaryIndex.

Referenced by DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::RemoveAtIndex().

void DataStructures::HashIndex::SetInvalid | ( | void |  | ) |

inline

Definition at line 39 of file DS_Hash.h.

References primaryIndex, and secondaryIndex.

Referenced by DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::GetIndexOf().

## Member Data Documentation

unsigned int DataStructures::HashIndex::primaryIndex

Definition at line 36 of file DS_Hash.h.

Referenced by DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::GetIndexOf(), IsInvalid(), DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::ItemAtIndex(), DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::KeyAtIndex(), DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::RemoveAtIndex(), and SetInvalid().

unsigned int DataStructures::HashIndex::secondaryIndex

Definition at line 37 of file DS_Hash.h.

Referenced by DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::GetIndexOf(), DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::ItemAtIndex(), DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::KeyAtIndex(), DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::RemoveAtIndex(), and SetInvalid().

The documentation for this struct was generated from the following file:

- Source/include/slikenet/DS_Hash.h